gxemul (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debian/gbp.conf: Fix upstream-tag template
  * debian/control: Update the list of supported systems
  * debian/copyright: Update to reflect upstream changes
  * debian/control: Mark gxemul as Multi-Arch: foreign
  * debian/rules: Remove --disable-valgrind flag; no longer exists
  * debian/rules: Sprinkle reproducible dust on the config
  * debian/patches/remove_defines: Upstream patch for a build failure
  * debian/rules: Remove -rpath flag after configuration
  * debian/copyright: Exclude test/FileLoader*; trivial but missing source
  * debian/watch: Add +dfsg on the repacked source
  * debian/rules: Remove useless fiddling with CFLAGS
  * debian/control: Remove unused doxygen build-dep
  * debian/rules: Support cross-compilation

 -- Göran Weinholt <weinholt@debian.org>  Sat, 27 Nov 2021 13:34:13 +0100

gxemul (0.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

  [ Göran Weinholt ]
  * debian/control: Standards-Version 4.5.0 (no changes)

 -- Göran Weinholt <weinholt@debian.org>  Tue, 25 Aug 2020 21:25:06 +0200

gxemul (0.6.2-1) experimental; urgency=low

  * New upstream version
  * debian/copyright: Update copyright years
  * debian/rules: Disable tests, upstream knows they are broken

 -- Göran Weinholt <weinholt@debian.org>  Mon, 24 Jun 2019 22:25:47 +0200

gxemul (0.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Göran Weinholt ]
  * New upstream version
  * debian/control: Update description with new machines
  * debian/copyright: Update third-party copyrights
  * debian/gbp.conf: Add gbp configuration
  * Remove all debian/patches (fixed upstream)

 -- Göran Weinholt <weinholt@debian.org>  Fri, 07 Dec 2018 20:52:23 +0100

gxemul (0.6.0.2-2) unstable; urgency=medium

  * Incorporate all thirdparty code into debian/copyright

 -- Göran Weinholt <weinholt@debian.org>  Sun, 30 Sep 2018 18:05:18 +0200

gxemul (0.6.0.2-1) unstable; urgency=medium

  * New upstream version
  * Package resurrected and new maintainer.
    Thanks to Jonathan Wiltshire, for maintaining it while I was away.
    (Closes: #909411)
  * Update to debhelper compatibility level 11
  * Remove obsolete buildsystem patch
  * Replace priority extra with optional
  * Disable valgrind when running tests
  * Update homepage & watch to gavare.se and move Vcs-* to Salsa
  * Add doxygen to build-depends
  * debian/copyright: Update copyright years
  * Fix {RELEASE,TODO}.html being installed in both packages
  * Update to Standards-Version 4.2.1
  * Patch: Clean up extra files in the clean_all target
  * Patch: Disable regeneration of unclean src/machines/.index

 -- Göran Weinholt <weinholt@debian.org>  Sun, 23 Sep 2018 23:38:55 +0200

gxemul (0.6.0-1) unstable; urgency=low

  * [54e53c] New upstream version
  * [a0bd0a] Standards version 3.8.4
  * [eaccac] Update homepage in debian/control (Closes: #535654)
  * [03e9a2] Update watch file
  * [50cf38] Increase dependency on debhelper for use of overrides
  * [fe94dc] Install upstream changelog (HISTORY)
  * [230274] Source format 3.0 (quilt), ready for patches
  * [93a5fa] New patch buildsystem.patch to fix upstream's new build
    system
  * [850565] Refactor Debian packaging to fit new upstream build system
  * [371afb] Register documentation with install-docs
  * [71a712] Update copyright dates

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 16 Feb 2010 12:57:38 +0000

gxemul (0.4.7.2-1) unstable; urgency=low

  * [24d2f0] New upstream version
  * [f95d73] Update watch file to version=3, remove uupdate
  * [798a80] Bump standards version (no changes required)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 21 Jun 2009 23:05:30 +0100

gxemul (0.4.7.1-1) unstable; urgency=low

  * New Upstream Version:
    - Minor documentation errors fixed.
    - Some more missing M88K instructions added.
    - NetBSD/hpcmips can now be installed and run using serial console
      (i.e. without -X), in addition to using the framebuffer.
  * Corrected dependency field for binary package gxemul
  * All patches integrated upstream; removing dpatch dependency and rules

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 07 Feb 2009 17:02:10 +0000

gxemul (0.4.7-1) unstable; urgency=low

  * New Upstream Version
    - Motorola 88100 emulation is now complete enough to run a guest
      operating system
  * Patch 05_segfault_params is now integrated upstream
  * Revised patch 01_manhyphens_patch to fit new upstream
  * Added Debhelper dependencies to binary packages
  * Improvements to packaging in debian/rules
  * Update copyright information
  * Drop README.Debian (no longer relevant)
  * Increase compat level to 7
  * Insert Vcs-* fields in debian/control

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 03 Jan 2009 10:35:29 +0000

gxemul (0.4.6.6-3) unstable; urgency=low

  * Patch against segmentation fault if gxemul is started with arbitrary
    parameters (LP: #301041)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 24 Nov 2008 11:10:27 +0000

gxemul (0.4.6.6-2) unstable; urgency=low

  * Using debhelper 7 to shrink debian/rules (thanks Sandro Tosi for the
    tutorial)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 23 Nov 2008 21:46:20 +0000

gxemul (0.4.6.6-1) unstable; urgency=low

  * New upstream release: (Closes: #506704)
    - Patch which causes an ARM UND exception to be generated by the instruction word 0xe6000011, which is needed by gdb when running inside the emulator
    - Fix for a free() bug in bootlock_iso9660.c
    - OpenBSD/landisk installation instructions updated to 4.4
    - Most NetBSD installation instructions updated to 4.0.1
  * Add patch description to 01_manpage_hyphens.dpatch

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sun, 16 Nov 2008 17:04:00 +0000

gxemul (0.4.6.5-3) unstable; urgency=low

  * Turned hyphens into dashes when used for arguments in the man page
    (Closes: #497106)
  * Package no longer builds gxemul-doc_0.4.6.5-2_all.deb when binary-indep
    target is not called (Closes: #497105)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Sat, 30 Aug 2008 01:00:51 +0100

gxemul (0.4.6.5-2) unstable; urgency=low

  * Fixed lintian error doc-package-should-be-section-doc

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 25 Aug 2008 20:06:00 +0100

gxemul (0.4.6.5-1) unstable; urgency=low

  * New upstream release
  * New maintainer. (Closes: #482067: O: gxemul -- machine emulator for
    multiple architectures)
  * No longer ignore make clean errors unless a makefile does not exist
  * Standards version 3.8.0.0

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Mon, 25 Aug 2008 17:52:27 +0100

gxemul (0.4.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Mon, 25 Feb 2008 07:59:42 +0100

gxemul (0.4.6.2-1) unstable; urgency=low

  * New upstream release (closes: #462350).
  * debian/control: Upgraded to Standards-Version 3.7.3 (no changes).

 -- Göran Weinholt <weinholt@debian.org>  Thu, 24 Jan 2008 19:49:32 +0100

gxemul (0.4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Thu, 03 Jan 2008 18:32:27 +0100

gxemul (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 17 Jun 2007 08:58:45 +0200

gxemul (0.4.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Tue, 01 May 2007 12:39:20 +0200

gxemul (0.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 15 Apr 2007 11:36:41 +0200

gxemul (0.4.4.1-1) experimental; urgency=low

  * New upstream release.
  * Build with -O2 on m68k (closes: #398659).

 -- Göran Weinholt <weinholt@debian.org>  Sun, 18 Mar 2007 14:28:35 +0100

gxemul (0.4.4-1) experimental; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Mon, 19 Feb 2007 09:09:45 +0100

gxemul (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Drop the mips64emul dummy package.
  * Split the package into gxemul and gxemul-doc and move the
    documentation to the latter.
  * debian/copyright: Update from upstream's LICENSE file.

 -- Göran Weinholt <weinholt@debian.org>  Sat, 11 Nov 2006 20:24:01 +0100

gxemul (0.4.2-2) unstable; urgency=low

  * debian/rules: Use -O0 on m68k to avoid a gcc ICE (closes: #381039).

 -- Göran Weinholt <weinholt@debian.org>  Sat, 26 Aug 2006 20:41:20 +0200

gxemul (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Fri, 18 Aug 2006 20:01:07 +0200

gxemul (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 23 Jul 2006 21:21:30 +0200

gxemul (0.4.0-1) experimental; urgency=low

  * New upstream release. Uploading to experimental because this release
    is instable and the next release will have cleanups and bug fixes.

 -- Göran Weinholt <weinholt@debian.org>  Sat, 24 Jun 2006 14:23:24 +0200

gxemul (0.3.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add IQ80321 (ARM-based) and IBM 6050 (PowerPC-based)
    to the list of emulated machines.

 -- Göran Weinholt <weinholt@debian.org>  Mon, 20 Feb 2006 16:02:32 +0100

gxemul (0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 27 Nov 2005 01:01:12 +0100

gxemul (0.3.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Add CATS (an ARM-based machine) to the list of emulated machines.
    + debian/control: Add upstream's homepage to the package description.

 -- Göran Weinholt <weinholt@debian.org>  Sat,  5 Nov 2005 01:34:30 +0100

gxemul (0.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun,  9 Oct 2005 06:29:21 +0200

gxemul (0.3.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Don't use -g on m68k because of an ICE in gcc-4.0.

 -- Göran Weinholt <weinholt@debian.org>  Thu,  8 Sep 2005 19:16:01 +0200

gxemul (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Updated the package description.

 -- Göran Weinholt <weinholt@debian.org>  Fri,  8 Jul 2005 03:59:38 +0200

gxemul (0.3.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Tue, 14 Jun 2005 20:19:18 +0200

gxemul (0.3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream renamed from mips64emul to GXemul, updated debian/
    accordingly and added a transitional package.

 -- Göran Weinholt <weinholt@debian.org>  Sun,  5 Jun 2005 03:26:19 +0200

mips64emul (0.3-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Wed,  2 Mar 2005 19:35:42 +0100

mips64emul (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * debian/mips64emul.docs: Install doc/ in its own directory.

 -- Göran Weinholt <weinholt@debian.org>  Thu, 13 Jan 2005 02:54:17 +0100

mips64emul (0.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/mips64emul.manpages: manpage moved from doc/ to man/.

 -- Göran Weinholt <weinholt@debian.org>  Thu,  2 Dec 2004 10:22:23 +0100

mips64emul (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Switched to dh_installman.
  * debian/mips64emul.docs: Include doc/*.png also.
  * debian/control: Refined and updated the description.

 -- Göran Weinholt <weinholt@debian.org>  Wed,  3 Nov 2004 19:47:47 +0100

mips64emul (0.2-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Sun,  1 Aug 2004 13:36:17 +0200

mips64emul (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Göran Weinholt <weinholt@debian.org>  Fri,  2 Jul 2004 12:40:55 +0200

mips64emul (0.1-1) unstable; urgency=low

  * Initial release (closes: #256172).

 -- Göran Weinholt <weinholt@debian.org>  Wed, 30 Jun 2004 11:22:00 +0200
